Debian Bug report logs - #611967
csvtool: namedcol should retain heading row

version graph

Package: csvtool; Maintainer for csvtool is Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>; Source for csvtool is src:ocaml-csv.

Reported by: "Kingsley G. Morse Jr." <kingsley@loaner.com>

Date: Fri, 4 Feb 2011 08:51:02 UTC

Severity: normal

Tags: patch

Found in version ocaml-csv/1.2.1-1

Fixed in version 1.3.0-1

Done: Lifeng Sun <lifongsun@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to https://forge.ocamlcore.org/tracker/index.php?func=detail&aid=1076&group_id=113&atid=538

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#611967; Package csvtool. (Fri, 04 Feb 2011 08:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Kingsley G. Morse Jr." <kingsley@loaner.com>:
New Bug report received and forwarded. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Fri, 04 Feb 2011 08:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Kingsley G. Morse Jr." <kingsley@loaner.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: csvtool: namedcol should retain heading row
Date: Fri, 04 Feb 2011 00:47:05 -0800
Package: csvtool
Version: 1.2.1-1
Severity: normal


Thank you for maintaining the very handy csvtool
package.

I'm using it, and would like to suggest a modest
improvement.

Please enhance the "namedcol" option to also
return a first row of the names of the chosen
columns.

For example

    $ csvtool namedcol Account,Cost input.csv > output.csv

might return

    Account,Cost
    1,$5
    2,$7
    3,$3

At least for me, it omitted the heading row
"Account,Cost".

Thanks,
Kingsley

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'lenny'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages csvtool depends on:
ii  ocaml-base-nox [ocaml-base-no 3.11.2-2   Runtime system for OCaml bytecode 

csvtool recommends no packages.

csvtool suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#611967; Package csvtool. (Thu, 05 Jan 2012 02:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Thu, 05 Jan 2012 02:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 611967@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: "Kingsley G. Morse Jr." <kingsley@loaner.com>, 611967@bugs.debian.org
Subject: Re: Bug#611967: csvtool: namedcol should retain heading row
Date: Thu, 5 Jan 2012 03:20:58 +0100
[Message part 1 (text/plain, inline)]
tags 611967 + patch
thanks

"Kingsley G. Morse Jr." <kingsley@loaner.com> wrote:
> 
> I'm using it, and would like to suggest a modest
> improvement.
> 
> Please enhance the "namedcol" option to also
> return a first row of the names of the chosen
> columns.
> 
> For example
> 
>     $ csvtool namedcol Account,Cost input.csv > output.csv
> 
> might return
> 
>     Account,Cost
>     1,$5
>     2,$7
>     3,$3
> 
> At least for me, it omitted the heading row
> "Account,Cost".
> 

I agree that it could be a nice improvement. Please find attached
a patch that implements the described feature.

Regards,

-- 
Mehdi Dogguy
[0001-Retain-heading-row-when-using-namedcol.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Thu, 05 Jan 2012 02:24:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://forge.ocamlcore.org/tracker/index.php?func=detail&aid=1076&group_id=113&atid=538'. Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Thu, 05 Jan 2012 16:00:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#611967; Package csvtool. (Sun, 12 May 2013 22:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Hym <samuel.hym@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Sun, 12 May 2013 22:33:04 GMT) Full text and rfc822 format available.

Message #19 received at 611967@bugs.debian.org (full text, mbox):

From: Samuel Hym <samuel.hym@gmail.com>
To: 611967@bugs.debian.org
Subject: Re: csvtool: namedcol should retain heading row
Date: Mon, 13 May 2013 00:29:48 +0200
Hello,

This is fixed in the new upstream version, 1.3.0, recently released.

Best regards,
Samuel



Changed Bug forwarded-to-address to 'https://forge.ocamlcore.org/tracker/index.php?func=detail&aid=1076&group_id=113&atid=538' from 'http://forge.ocamlcore.org/tracker/index.php?func=detail&aid=1076&group_id=113&atid=538' Request was from mehdi@dogguy.org (Mehdi) to control@bugs.debian.org. (Mon, 13 May 2013 08:27:04 GMT) Full text and rfc822 format available.

Reply sent to Lifeng Sun <lifongsun@gmail.com>:
You have taken responsibility. (Wed, 24 Jul 2013 14:03:12 GMT) Full text and rfc822 format available.

Notification sent to "Kingsley G. Morse Jr." <kingsley@loaner.com>:
Bug acknowledged by developer. (Wed, 24 Jul 2013 14:03:12 GMT) Full text and rfc822 format available.

Message #26 received at 611967-done@bugs.debian.org (full text, mbox):

From: Lifeng Sun <lifongsun@gmail.com>
To: 611967-done@bugs.debian.org
Subject: fixed by upstream
Date: Wed, 24 Jul 2013 21:59:05 +0800
Version: 1.3.0-1

fixed by upstream.

-- 



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Jan 2014 07:32:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:01:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.